{ config, lib, pkgs, ... }:

with pkgs;

mkShell {
  buildInputs = [
    python3
    python3Packages.jupyter
    python3Packages.numpy
    python3Packages.pandas
    python3Packages.scikit-learn
    python3Packages.matplotlib
    python3Packages.seaborn
  ];

  shellHook = ''
    trap "kill 0" EXIT

    jupyter notebook
  '';
}
